<?php
session_start();

require_once '../../../script_php/RemotoInterno.php';
require_once '../../../gerador/SqlServer.php';
require_once '../../../gerador/MysqlConsulta.php';
require_once '../../../script_php/conexao.php';
require_once '../../../script_php/conexaoSQL.php';
require_once '../../../script_php/RemotoInterno.php';

$remoto = new RemotoInterno;
$mysql = new MysqlConsulta();
$sqlServer = new Sqlserver();

$dados = $mysql->dadosVendasImportadasSoftcom($conexao);

$id_recebidos = $_POST['enviar'];

$tipoAcao = $_POST['acao'];
$usuario = $_SESSION['usuario'];


$tipoBaixa = 'baixa'; // ou seja nao é uma antecipação

//baixar parcelas
foreach ($id_recebidos as $id_recebido) {

    //buscar os dados do recebimento
    $recebimento = $mysql->retornarUmRecebimentoRede($conexao,$id_recebido);

    //percorrer o recebimento do id recebido
    foreach ($recebimento as $antecipado)
    {

        //dpreparar dados para enviar para softcom
        $dataRecebimento = $antecipado['recebimento'];
        $dataVencimentoRede3 = date("Y-d-m", strtotime($dataRecebimento));
        $dataVendaRede = date("Y-d-m", strtotime($antecipado['data_venda']));

        //bucar a conta da loja em questao
        $conta = $remoto->contaLoja($antecipado['loja_origem']);
       

        //baixa apenas as faturas pagas
       if ($antecipado['status'] == 'paga'){


        //realizar a baixa
       $sqlServer->baixarAntecipacao( $dataVencimentoRede3,$antecipado['valor_parcela'],$conta,$antecipado['nsu'],$antecipado['parcela'],$dataVendaRede,$antecipado['loja_origem'],$usuario, $tipoBaixa);
       }


        }

    

    header("Location:../../../importarArquivoRede.php");


}